<div class="table_area">
    <table *ngIf="datalink" mat-table [dataSource]="datalink">

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef> Status </th>
            <td mat-cell *matCellDef="let element"> <span class="small_dot" [ngClass]="dotColor(element)"></span> </td>
        </ng-container> 

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let element ; let i=index" (click)="extension(i)" class="name_column"> {{element.name}} </td>
        </ng-container>
        

        <ng-container matColumnDef="in">
            <th mat-header-cell *matHeaderCellDef>In</th>
            <td mat-cell *matCellDef="let element"> {{element.dataInCount}} </td>
        </ng-container>

        <ng-container matColumnDef="out">
            <th mat-header-cell *matHeaderCellDef>Out</th>
            <td mat-cell *matCellDef="let element"> {{element.dataOutCount}} </td>
        </ng-container>

        <ng-container matColumnDef="detail">
            <th mat-header-cell *matHeaderCellDef>Detail</th>
            <td mat-cell *matCellDef="let element"> {{element.detailedStatus}} </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>
    <div class="dot_details">
            <span class="dot Ok small_dot"></span>
            <span class="description">OK</span>
            <span class="dot activity small_dot "></span>
            <span class="description">OK, activity</span>
            <span class="dot error small_dot "></span>
            <span class="description ">Error</span>
            <span class="dot disabled small_dot "></span>
            <span class="description ">Disabled</span>
    </div>
</div>

<div class="link_details" *ngIf="datalink">
    <div *ngIf="!extensionFlag"><h2 class="detail_header">Select a link</h2></div>
    <div *ngIf="extensionFlag">
    <h2 class="detail_header">Link Detail</h2>

    <p class="header">Name</p>
    <p class="value">{{extractedLink[extensionpos].name}}</p>
    <p class="header">Class</p>
    <p class="value">{{extractedLink[extensionpos].type}}</p>
    <hr>
    <p class="header">Status</p>
    <p class="value"><span [ngClass]="dotColor(extractedLink[extensionpos])" class="large_dot"></span></p>
    <p class="header">In Count</p>
    <p class="value">{{extractedLink[extensionpos].dataInCount}}</p>
    <p class="header">Out count</p>
    <p class="value">{{extractedLink[extensionpos].dataOutCount}}</p>
    <p class="header">Details</p>
    <p class="value">{{extractedLink[extensionpos].detailedStatus}}</p>

    
    <div class="button-group">
        <button *ngIf="extractedLink[extensionpos].disabled" mat-raised-button (click)="enableLink(extractedLink[extensionpos].name)" class="option-button">ENABLE LINK</button>
            <button *ngIf="!extractedLink[extensionpos].disabled" mat-raised-button (click)="disableLink(extractedLink[extensionpos].name)" class="option-button">DISABLE LINK</button>
            <button mat-raised-button class="option-button" (click)="resetLink(extractedLink[extensionpos].name)" >RESET COUNTER</button>
    </div>
    </div>
</div>

